Debian Bug report logs - #703536
ITP: speaklater -- Implements a lazy string for Python useful for use with gettext

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien Puydt <julien.puydt@laposte.net>

Date: Wed, 20 Mar 2013 17:27:01 UTC

Owned by: Sebastian Ramacher <sramacher@debian.org>

Severity: wishlist

Fixed in version speaklater/1.3-1

Done: Sebastian Ramacher <sramacher@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703536; Package wnpp. (Wed, 20 Mar 2013 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 20 Mar 2013 17:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-speaklater
Date: Wed, 20 Mar 2013 18:23:12 +0100
Package: wnpp
Severity: wishlist

* Package name    : python-speaklater.
  Upstream Author : Armin Ronacher
* URL             : http://github.com/mitsuhiko/speaklater
* License         : BSD
  Programming Lang: python
  Description     : implements a lazy string for python useful for use 
with gettext

The upstream description is:
A module that provides lazy strings for translations. Basically you get 
an object that appears to be a string but changes the value every time 
the value is evaluated based on a callable you provide.
For example you can have a global lazy_gettext function that returns a 
lazy string with the value of the current set language.



It is a dependency of the sage (http://www.sagemath.org) notebook, so 
we'll need it in debian as part of the effort to package it.

Snark on #debian-science



Changed Bug title to 'RFP python-speaklater' from 'python-speaklater' Request was from Julien Puydt <julien.puydt@laposte.net> to control@bugs.debian.org. (Wed, 20 Mar 2013 18:15:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP python-speaklater -- implements a lazy string for' from 'RFP python-speaklater' Request was from Julien Puydt <julien.puydt@laposte.net> to control@bugs.debian.org. (Thu, 21 Mar 2013 06:09:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: python-speaklater -- Implements a lazy string for python useful for use with gettext' from 'RFP python-speaklater -- implements a lazy string for' Request was from Sebastian Ramacher <sramacher@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 14:15:15 GMT) Full text and rfc822 format available.

Owner recorded as Sebastian Ramacher <sramacher@debian.org>. Request was from Sebastian Ramacher <sramacher@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 14:15:16 GMT) Full text and rfc822 format available.

Added indication that bug 703536 blocks 703533 Request was from Sebastian Ramacher <sramacher@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 22:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 19:06:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: speaklater -- Implements a lazy string for Python useful for use with gettext' from 'ITP: python-speaklater -- Implements a lazy string for python useful for use with gettext' Request was from Sebastian Ramacher <sramacher@debian.org> to control@bugs.debian.org. (Sun, 31 Mar 2013 12:09:08 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Ramacher <sramacher@debian.org>:
You have taken responsibility. (Sat, 13 Apr 2013 13:03:30 GMT) Full text and rfc822 format available.

Notification sent to Julien Puydt <julien.puydt@laposte.net>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 13:03:30 GMT) Full text and rfc822 format available.

Message #24 received at 703536-close@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: 703536-close@bugs.debian.org
Subject: Bug#703536: fixed in speaklater 1.3-1
Date: Sat, 13 Apr 2013 13:00:08 +0000
Source: speaklater
Source-Version: 1.3-1

We believe that the bug you reported is fixed in the latest version of
speaklater, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703536@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Ramacher <sramacher@debian.org> (supplier of updated speaklater package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 22 Mar 2013 14:43:32 +0100
Source: speaklater
Binary: python-speaklater python-speaklater-doc
Architecture: source all
Version: 1.3-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sebastian Ramacher <sramacher@debian.org>
Description: 
 python-speaklater - lazy string useful for translations
 python-speaklater-doc - lazy string useful for translation (API documentation)
Closes: 703536
Changes: 
 speaklater (1.3-1) experimental; urgency=low
 .
   * Initial release. (Closes: #703536)
Checksums-Sha1: 
 466ad60b68968d5a61b5de4861706071695d1520 2082 speaklater_1.3-1.dsc
 65551c6896de20e58dbae795392b7e551ccfe318 3582 speaklater_1.3.orig.tar.gz
 79a268a83d01fc0d14f50dd17878d120ad42af6c 2381 speaklater_1.3-1.debian.tar.gz
 6915a38c496b90f2b2cbb483abf09c1f1c7f883e 4866 python-speaklater_1.3-1_all.deb
 484fae6543611f9fa5f8262e9e4e36ad350cb474 17246 python-speaklater-doc_1.3-1_all.deb
Checksums-Sha256: 
 c5474bdfa46519e4303856007fb4ae5f4a28ad583a97740449e0f8d2bead8700 2082 speaklater_1.3-1.dsc
 59fea336d0eed38c1f0bf3181ee1222d0ef45f3a9dd34ebe65e6bfffdd6a65a9 3582 speaklater_1.3.orig.tar.gz
 2ce1d9784405ff4f8d408b028f2393f2c6169b9eb7c7fd8e317316f544e71af0 2381 speaklater_1.3-1.debian.tar.gz
 625fdc76015ae2eaed40edb920cb7402f2942572d1f4203d1415725af08788ef 4866 python-speaklater_1.3-1_all.deb
 1d0065982731926724e48d6a2c98938002f1e55eefb37fe0fe1832ef2133afea 17246 python-speaklater-doc_1.3-1_all.deb
Files: 
 107d8c558fead9e15e2418dd84f73a96 2082 python optional speaklater_1.3-1.dsc
 e8d5dbe36e53d5a35cff227e795e8bbf 3582 python optional speaklater_1.3.orig.tar.gz
 e60286864ff94a2f0f6f9e846b1272de 2381 python optional speaklater_1.3-1.debian.tar.gz
 a66f2a171d9dd0d48b9719dd616d476b 4866 python optional python-speaklater_1.3-1_all.deb
 91239b5d06c2ae588ade35a5be9e7dcb 17246 doc optional python-speaklater-doc_1.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRTGD5AAoJEGny/FFupxmTW8QQALLVSydKP32AVDj9LzHtVb5j
4QrvP/uLJ6ZrwRdwwV/xTPMtYU3JEoC7aq0QvTr9oGPX5+bpdv/PbzcBPsC6A8wO
SmijPhIcj9v3tHr7cpkFy15O66nbdvAKjTu8TB0v6KgcyfciYC5BToKSeyn2wv3m
ynjmHoSdZQJKfuxrvdcIVRPhjDpiGWd60sX+L5uWoPRElSW0poWIaafqvvwqf4qt
fEC851wNso38CNwLX+Bdjume4gqSPHVmGikYllhX+kMYu/w922FAf+jmzP612UXB
JSmrgG86F3qHXOCaCYNvsY9d05TlmTBsdgR6axDJ9kYg8MPZlWLfB+hll72pRT11
dchI56Q9iMh0Cb8xDea71NgjoG7UOrfUE2uMVLmjY0+6tkXE3dEpskT8M9CplAhh
gqm7Z6kEdTeFCYwV0mcsn7A0Q1qHebyOrEUvnuDXhznWd4pkNxJk3Kt1JWk43L3L
XOZDDiDrEL64x9ULfbwIp7bch8rx/0FGbM4LY7FRtWDqXWdxO5vBYSfLp6v04FIh
UONKTKKawy/HhfGaJ20c+TwpgD7nzLfvRrk2Y5kD9qM+XkESFzse2PY18xlEgjOy
VDvnSirHHtei9QAWTxZnJIVsdvvJ4rVwzarspd2iyiUNrmkcDoexw8IHZ3BlvGnX
H4VX3YOhbk4Powp0UA/P
=UN82
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 May 2013 07:28:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:06:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.